#ifndef NVIDIA_PNG_CODE
#define NVIDIA_PNG_CODE

#include <glh_linear.h>
#include <glh_array.h>
#pragma comment(lib,"libpng")

bool read_png_rgb(const char * filename, glh::array2<glh::vec3ub> & image);
bool read_png_grey(const char * filename, glh::array2<unsigned char> & image);

#endif